de.dhbwstuttgart.syntaxtree

## Class InterfaceBody

- java.lang.Object
- - de.dhbwstuttgart.syntaxtree.InterfaceBody

    public class InterfaceBody
    extends java.lang.Object

Die Klasse enthaelt den Inhalt eines Interfaces, also Konstanten- und Mehtodendefinitionen.

Author:
  SCJU

### Field Summary

Fields
`protected Menge<Constant>` `ConstantVektor`
`protected Menge<Method>` `MethodVektor`

### Constructor Summary

Constructors
Constructor and Description
`InterfaceBody()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addElement(Field fd)` Fuegt ein neues Element (Konstantendefinition oder abstrakte Methode) ein.
`Menge<Constant>` `getConstantVektor()`
`Menge<Method>` `getMethodVektor()`
`void` `setConstantVektor(Menge<Constant> constantVektor)`
`void` `setMethodVektor(Menge<Method> methodVektor)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### ConstantVektor

    protected Menge<Constant> ConstantVektor

#### MethodVektor

    protected Menge<Method> MethodVektor

### Constructor Detail

#### InterfaceBody

    public InterfaceBody()

### Method Detail

#### addElement

    public void addElement(Field fd)

Fuegt ein neues Element (Konstantendefinition oder abstrakte Methode) ein.

#### getConstantVektor

    public Menge<Constant> getConstantVektor()

#### setConstantVektor

    public void setConstantVektor(Menge<Constant> constantVektor)

#### getMethodVektor

    public Menge<Method> getMethodVektor()

#### setMethodVektor

    public void setMethodVektor(Menge<Method> methodVektor)